Package ghidra.graph.job

# Class FilterVerticesJob<V extends VisualVertex,E extends VisualEdge<V>>

java.lang.Object
ghidra.graph.job.AbstractAnimatorJob
ghidra.graph.job.AbstractGraphVisibilityTransitionJob<V,E>
ghidra.graph.job.FilterVerticesJob<V,E>

Type Parameters:
  `V` - the vertex type
  `E` - the edge type

All Implemented Interfaces:
  `GraphJob`

public class FilterVerticesJob<V extends VisualVertex,E extends VisualEdge<V>> extends AbstractGraphVisibilityTransitionJob<V,E>
Uses the given filter to fade out vertices that do not pass. Vertices that pass the filter will be included in the graph. Not only will passing vertices be included, but so too will any vertices reachable from those vertices.

This job will update the graph so that any previously filtered vertices will be put back into the graph.

- ## Field Summary

  ### Fields inherited from class ghidra.graph.job.AbstractGraphVisibilityTransitionJob

  `duration, FAST_DURATION, graph, NORMAL_DURATION, useAnimation, viewer`

  ### Fields inherited from class ghidra.graph.job.AbstractAnimatorJob

  `animator, isShortcut, log, TOO_BIG_TO_ANIMATE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FilterVerticesJob(GraphViewer<V,E> viewer, FilteringVisualGraph<V,E> graph, Predicate<V> filter, boolean remove)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `finished()`
  A callback given when this animator has run to completion.
  `protected void`
  `updateOpacity(double percentComplete)`

  ### Methods inherited from class ghidra.graph.job.AbstractGraphVisibilityTransitionJob

  `createAnimator, getEdges, getEdges, isTooBigToAnimate, setPercentComplete`

  ### Methods inherited from class ghidra.graph.job.AbstractAnimatorJob

  `canShortcut, dispose, execute, isFinished, setBusyListener, shortcut, stop, toString, trace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FilterVerticesJob

    public FilterVerticesJob(GraphViewer<V,E> viewer, FilteringVisualGraph<V,E> graph, Predicate<V> filter, boolean remove)
    Constructor
    Parameters:
      `viewer` - the viewer upon which to operate
      `graph` - the graph to filter
      `filter` - the predicate used to determine what passes the filter
      `remove` - true signals to remove the vertices from the view; false signals to leave them visible, but faded to show that they failed the filter

- ## Method Details

  - ### updateOpacity

    protected void updateOpacity(double percentComplete)
    Overrides:
      `updateOpacity` in class `AbstractGraphVisibilityTransitionJob<V extends VisualVertex,E extends VisualEdge<V>>`

  - ### finished

    protected void finished()
    Description copied from class: `AbstractAnimatorJob`
    A callback given when this animator has run to completion. This will be called whether the animator is stopped prematurely or ends naturally.
    Overrides:
      `finished` in class `AbstractGraphVisibilityTransitionJob<V extends VisualVertex,E extends VisualEdge<V>>`